@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Christophe Contreras
rem # Contributor(s): --------------------------------------------------.
rem #
rem # ====================================================================
rem #
rem # Starts OpenCCM Assembling tool
rem #
rem # ====================================================================

setlocal

rem # We first assume the whole OpenCCM environment has been sourced
set PAT_HOMEDIR=%OpenCCM_HOMEDIR%
set PAT_CONFIGDIR=%OpenCCM_CONFIG_DIR%

rem # then, in case we only sourced the Launcher environment
if "%PAT_HOMEDIR%" == "" goto standalone
goto homedir_set

:standalone
set PAT_HOMEDIR=%OW_HOMEDIR%
set PAT_CONFIGDIR=%OW_CONFIGDIR%
goto homedir_set

:homedir_set
rem # Anyway, the Launcher needs to know the used HOMEDIR
set OW_HOMEDIR=%PAT_HOMEDIR%

rem # This adds '-arg' to each argument for the cmdline framework
set args=
:add_arg
if "%1" == "" goto execution
set args=%args% -arg %1
shift
goto add_arg

:execution
rem # Execute OpenCCM Assembling tool

rem # Inits shell variable used by the Launcher
set LAUNCHER_JVM_ARGS=-DOpenCCM_HOMEDIR="%PAT_HOMEDIR%" -DOpenCCM_CONFIG_DIR="%PAT_CONFIGDIR%"
set LAUNCHER_ARGS="file:%PAT_HOMEDIR%\xml\launcher\packaging_assembling.xml" %args%

rem # Runs the Launcher script
call launcher.bat exec
