# ====================================================================
#
# OpenCCM: The Open CORBA Component Model Platform
# Copyright (C) 2000-2005 INRIA - USTL - LIFL - GOAL
# Contact: openccm@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Philippe Merle, Mathieu Vadet.
# Contributor(s): Jerome Offroy.
#
# ====================================================================
#
# Automatically generated environment file for using
# the OpenCCM Platform from Unix shells (e.g. sh, bash)
# and also from CYGWIN on Windows systems.
#
# ====================================================================
# $Id: envi.OpenCCM.sh,v 1.4 2005/07/04 15:49:52 merle Exp $
# ====================================================================

#
# Global variables used by OpenCCM scripts.
#

#
# Set where the ORB binary distribution is installed.
#
# Warning: With Cygwin, the directory must be referred by
#          the following notation c:\\path1\\path2\\pathN
#
ORB_HOMEDIR=/home/goal/merle/dev/ORB/JacORB_2_2
export ORB_HOMEDIR

#
# Set where the OpenCCM binary distribution is installed.
#
# Warning: With Cygwin, the directory must be referred by
#          the following notation c:\\path1\\path2\\pathN
#
OpenCCM_HOMEDIR=/home/goal/merle/dev/OpenCCM/archives/OpenCCM-0.9.0/openccm/build
export OpenCCM_HOMEDIR

#
# Set where the OpenCCM Configuration Directory will be.
#
# Warning: With Cygwin, the directory must be referred by
#          the following notation c:\\path1\\path2\\pathN
#
OpenCCM_CONFIG_DIR=${HOME}/OpenCCM_CONFIG_DIR
export OpenCCM_CONFIG_DIR

# ====================================================================
#
# Don't edit the following lines.
# 
# ====================================================================

if [ ${CCM_BACK_PATH:-NONE} == NONE  ]
then
    #
    # Make a backup of PATH.
    #
    CCM_BACK_PATH=${PATH}

    #
    # Add binaries directory to the PATH.
    #
    if test "${PATH}" = ""
    then
        PATH=${OpenCCM_HOMEDIR}/bin
    else
        PATH=${OpenCCM_HOMEDIR}/bin:${PATH}
    fi

    #
    # With CYGWIN
    #
    if test "$OSTYPE" == "cygwin"
    then
        # Put /usr/bin at first path to access to the 'kill' command.
        PATH=/usr/bin:${PATH}

        # Export the $OSTYPE variable to use it from the 'launcher.sh' script.
        export OSTYPE
    fi

    export PATH
fi