@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Briclet Frederic
rem # Contributor(s): ------------------------------------.
rem #
rem # ====================================================================
rem #
rem #  Stop the OpenCCM Java node.
rem #
rem # ====================================================================

setlocal

rem #  =====================
rem #  Compute Command Line
rem #  =====================

set /a nb_args=0
for %%i in (%*) do set /a nb_args=nb_args+1

if %nb_args% == 0 goto help

if "%1"=="-h" goto :help
if "%1"=="?" goto :help

goto :no_help

:help
echo "usage node_stop <node_name>"    
goto :eof

:no_help


set node_name=%1

set node_path=%OpenCCM_CONFIG_DIR%\NodeManagers\%node_name%\%node_name%



rem #  =============
rem #  Node started ?
rem #  =============

rem # Check if this NODE is already started.
if exist %node_path%.PID goto :node_started

echo Error: The Component NodeManager %nodeName% is not started!
goto :eof

:node_started
rem #Stop the node component
call tear_down "-F%node_path%.IOR"
call sleep 2
rem # Kill the Java NodeManager
rem #
rem # call kill F%node_path%.PID > nul
call sleep 2
rem # Remove the associated files.
rem #
rem #erase /f  %node_path%.ior %node_path%.PID %node_path%.output
rmdir /s /q  %OpenCCM_CONFIG_DIR%\NodeManagers\%node_name% 

echo The OpenCCM NodeManager %1 is stopped.
